Repository 32bit  Forum
Repository 64bit  Wiki

KDE 4.8 per Slackware64 13.37

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: KDE 4.8 per Slackware64 13.37

Messaggioda 414N » mar apr 10, 2012 20:18

boh ha scritto:
414N ha scritto:È tutto sotto le subdirectory source (che contiene deps, kde e kdei) e test/source, guardando l'albero delle directory da qui.


Ah ecco dove sono! #-o

Quindi fammi capire:
  • hai compilato tutte le dipendenze, ognuna con il suo slackbuild, creando i singoli pacchetti;
  • hai installato i pacchetti delle dipendenze;
  • hai compilato tutti i componenti di KDE usando KDE.SlackBuild.

È corretta la sequenza?
È giusto una curiosità, perchè comunque alla fine credo che userò i pacchetti già pronti :lol:

A dire il vero è molto più semplice, anche perché in questo modo non se ne uscirebbe sani di mente ad azzeccare l'ordine di compilazione ed installazione dei pacchetti: quelle directory contengono dei macro-SlackBuild che compilano tutti i vari sotto-pacchetti coi loro singoli SlackBuild e li installano nel giusto ordine.
Per esempio, nella directory deps c'è uno SlackBuild che si occupa di lanciare gli opportuni SlackBuild delle varie dipendenze nel giusto ordine ed installare i pacchetti mano a mano che vengono prodotti, altrimenti alcune delle dipendenze successive potrebbero lamentarne la mancanza (ebbene sì, ci sono dipendenze di dipendenze :)). Lo stesso discorso vale anche per la directory kde e il suo macro-SlackBuild KDE.SlackBuild.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2877
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: KDE 4.8 per Slackware64 13.37

Messaggioda boh » mar apr 10, 2012 20:30

Tanto per cambiare non l'avevo visto :lol:
Quindi si lancia prima alldeps.SlackBuild e successivamente updates.SlackBuild? (parlo per la directory /deps ;) )
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 940
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.10.17
Desktop: KDE 4.10.5

Re: KDE 4.8 per Slackware64 13.37

Messaggioda 414N » mer apr 11, 2012 12:21

boh ha scritto:Tanto per cambiare non l'avevo visto :lol:
Quindi si lancia prima alldeps.SlackBuild e successivamente updates.SlackBuild? (parlo per la directory /deps ;) )

No. Sinceramente non so a cosa serva updates (forse basta quello se si usa già la versione immediatamente precedente di KDE 4.8 ), ma io ho sempre usato alldeps tanto per esser sicuro di non lasciar indietro niente.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2877
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: KDE 4.8 per Slackware64 13.37

Messaggioda boh » mer apr 11, 2012 21:04

414N ha scritto:
boh ha scritto:Tanto per cambiare non l'avevo visto :lol:
Quindi si lancia prima alldeps.SlackBuild e successivamente updates.SlackBuild? (parlo per la directory /deps ;) )

No. Sinceramente non so a cosa serva updates (forse basta quello se si usa già la versione immediatamente precedente di KDE 4.8 ), ma io ho sempre usato alldeps tanto per esser sicuro di non lasciar indietro niente.


Probabile sia per quello!

Comunque ho appena installato il tutto e sembra funzionare bene! Sistema molto più reattivo :D
Unica cosa è k3b che richiede le libmusicbrainz che a quanto pare non ho. Le ho installate da repository, ma ancora non lo vede...provo con un riavvio di X.
In ogni caso, rinnovo i complimenti per l'ottimo lavoro! =D>
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 940
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.10.17
Desktop: KDE 4.10.5

Re: KDE 4.8 per Slackware64 13.37

Messaggioda boh » gio apr 12, 2012 15:20

boh ha scritto:Unica cosa è k3b che richiede le libmusicbrainz che a quanto pare non ho. Le ho installate da repository, ma ancora non lo vede...provo con un riavvio di X.


Chiedo scusa per il doppio post, ma ho risolto il problema di k3b. Il pacchetto a 64bit presente nel repository (libmusicbrainz3) non risolve la dipendenza. Ho compilato la versione 2 invece, che a quanto pare è quella richiesta.
Allego il nuovo pacchetto, in caso qualcuno abbia lo stesso mio problema (è stato compilato con lo slackbuild fornito qui su slacky).

libmusicbrainz2-x86_64
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 940
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.10.17
Desktop: KDE 4.10.5

Re: KDE 4.8 per Slackware64 13.37

Messaggioda 414N » gio mag 17, 2012 13:33

Aggiunti i link per kde-4.8.3 al primo post.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2877
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: KDE 4.8 per Slackware64 13.37

Messaggioda miklos » lun giu 18, 2012 11:10

ragazzi, sto compilando kde 4.8.2 su una 13.37 32 bit e per scrupolo volevo chiedervi una cosa.. il readme presente sul sito di alienbob è ancora valido o va bene solo per la current!?!??!
chiedo questo perchè mi ricordavo che oltre ai classici comandi di upgrade/installazione + il problema delle librerie mesa (che pero' a me nn risulta nel senso che la compilazione sta andando bene e non mi ha dato problemi.. ma forse è un problema di runtime che vedro' dopo) c'erano dei pacchetti obsoleti da rimuovere.

è corretto oppure sto vaneggiando?!?!? :D
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1200
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.12.6
Desktop: openbox 3.5.2

Re: KDE 4.8 per Slackware64 13.37

Messaggioda 414N » lun giu 18, 2012 12:17

Corretto. Alcuni pacchetti sono stati "spezzati" in altri, percui segui le dritte di alien.
Mesa può essere problematico all'avvio del nuovo KDE, non intralcia in nessun modo la compilazione.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2877
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: KDE 4.8 per Slackware64 13.37

Messaggioda miklos » lun giu 18, 2012 13:33

grazie per la risposta.. meno male che nei tuoi rilasci ci sta il README 'vecchio' dove dice quali sono i pacchetti da rimuovere perchè attualmente, se vado sul sito di alienbob non vengono piu' riportati visto che il tutto è per la current e li i pacchetti obsoleti sono stati già rimossi :D

grazie 1000 per il tuo lavoro che è stato d'ispirazione al mio :thumbright:
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1200
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.12.6
Desktop: openbox 3.5.2

Re: KDE 4.8 per Slackware64 13.37

Messaggioda slack68 » gio giu 21, 2012 13:03

Salve, scusate se mi intrometto con un argomento un pò diverso ma che comunque riguarda KDE.
Sul reposity di Slacky64 non trovo il package "kdeplasma-addons-daisy", ( la versione per i 64bit).
Qualcuno l'ha trovato/installato sulla current ??? Grazie in anticipo.
slack68
Linux 1.0
Linux 1.0
 
Messaggi: 55
Iscritto il: gio gen 06, 2005 0:00

Precedente

Torna a Slackware64

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite